Bug 1478420 - [Satellite 6] in foreman db hosts table, lifecycle_environment_id and content_view_id are not updated.
[Satellite 6] in foreman db hosts table, lifecycle_environment_id and content...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content (Show other bugs)
6.2.10
Unspecified Unspecified
medium Severity medium (vote)
: GA
: --
Assigned To: John Mitsch
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 10:11 EDT by Stefan Nemeth
Modified: 2017-08-15 16:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20581 None None None 2017-08-14 08:29 EDT

  None (edit)
Description Stefan Nemeth 2017-08-04 10:11:01 EDT
Description of problem:
When host gets assigned different lifecycle environment or content view, via hammer or webui, values in hosts table of foreman db are not updated. 

Values gets updated properly in cp_pool and in katello_systems, but than there are different values for tested host in hosts and katello_systems and cp_pool (in candlepin db) tables 

Version-Release number of selected component (if applicable):
6.2.10

How reproducible:
100%

Steps to Reproduce:
1. provision a host
2. check values in foreman database 
foreman=# select content_view_id,lifecycle_environment_id from hosts where name='snemeth-hosttable-test.sysmgmt.lan';
-[ RECORD 1 ]------------+--
content_view_id          | 1
lifecycle_environment_id | 1

3.change lifecycle environment and content view in webui or using hammer

4. verify hosts table entry in db.

Actual results:

hosts table not updated 

katello_systems and cp_pool updated as expected.
Expected results:
update hosts table as well.

Additional info:
Comment 2 Brad Buckingham 2017-08-14 08:29:19 EDT
Created redmine issue http://projects.theforeman.org/issues/20581 from this bug

Note You need to log in before you can comment on or make changes to this bug.